#ifndef TrafficLogItem_H
#define TrafficLogItem_H

#include <QPointF>
#include <QString>

#include <stdint.h>

class TrafficLogItem
{
public:
    enum LogType {
        POSITION,
        ARRIVED
    };

    TrafficLogItem();
    TrafficLogItem(uint64_t, QString, QPointF, LogType type = POSITION);

    uint64_t time();
    QString name();
    TrafficLogItem::LogType type();
    QPointF pos();

private:
    uint64_t m_time;
    QString m_name;
    TrafficLogItem::LogType m_type;
    QPointF m_pos;
};

#endif // TrafficLogItem_H
